package com.service;

import com.entity.EmergencyResources;

import java.util.List;
import java.util.Map;


public interface EmergencyResourcesService {

//  添加应急资源
  public int add(EmergencyResources po);
//  获取单个应急资源信息
  public EmergencyResources getById(int id);
//  修改应急资源
  public int update(EmergencyResources po);
//  删除应急资源
  public int delete(int id);
//  查询应急资源
  public List<EmergencyResources> getAll(Map<String, Object> map);

  public List<EmergencyResources> getAllNotFid(Map<String, Object> map);
//  验证应急资源名称
  public EmergencyResources checkName(Map<String, Object> account);
//  分页显示
  public List<EmergencyResources> getByPage(Map<String, Object> map);
//  获取信息的条数
  public int getCount(Map<String, Object> po);


}
